Bug 123990 - acpi sleep states don't work and/or cause hard lockups
acpi sleep states don't work and/or cause hard lockups
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 11:28 EDT by Jesse Dowell
Modified: 2015-01-04 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:48:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from 'dmesg' and 'lspci' commands. (11.28 KB, text/plain)
2004-05-22 11:31 EDT, Jesse Dowell
no flags Details
Ouput of 'ps ax' before running acpi state commands. (986 bytes, text/plain)
2004-05-29 09:59 EDT, Jesse Dowell
no flags Details
Output from 'lsmod' before running acpi state commands. (383 bytes, text/plain)
2004-05-29 10:02 EDT, Jesse Dowell
no flags Details

  None (edit)
Description Jesse Dowell 2004-05-22 11:28:22 EDT
Standby state immediately resumes:
"echo -n 'standby' > /sys/power/state"

Here's the output:
PM: Preparing system for suspend
Stopping tasks:
============================================================================|
Restarting tasks... done

It seems like the standby state is actually working, but it
immediately "wakes up". The preceding output happens in less than a
second and I don't have to touch any buttons or do anything to bring
it out of the standby state.

Mem state causes hard lockup:
"echo -n 'mem' > /sys/power/state"

I can't paste the output here because my computer locks up, but lets
just say that a few messages scroll past and then everything stops
after in prints out a line that says something like "Entering state:"
At this point the laptop fan kicks into high gear and nothing I do
causes any changes. I have to do a hard reset to get the computer to
reboot. I believe that the 'disk' state exhibits the same behavior as
the 'mem' state.


Hardware details:
Averatec 3120V Laptop

Just in case it'll help, I'll attach the output from 'dmesg' and
'lspci' in a sec.
Comment 1 Jesse Dowell 2004-05-22 11:31:26 EDT
Created attachment 100457 [details]
Output from 'dmesg' and 'lspci' commands.
Comment 2 Arjan van de Ven 2004-05-25 07:02:06 EDT
can you try the latest kernel from http://people.redhat.com/arjanv/2.6
I've added some suspend/resume enhancements to that.
Comment 3 Jesse Dowell 2004-05-25 20:23:57 EDT
I installed this kernel:
http://people.redhat.com/arjanv/2.6/RPMS.kernel/kernel-2.6.6-1.383.i686.rpm

The results weren't any different.
Comment 4 Arjan van de Ven 2004-05-29 04:16:57 EDT
can you try rmmod ehci_hcd before going to sleep state? For me at
least the ehci_hcd module is preventing the suspend...
Comment 5 Jesse Dowell 2004-05-29 09:59:23 EDT
Created attachment 100694 [details]
Ouput of 'ps ax' before running acpi state commands.
Comment 6 Jesse Dowell 2004-05-29 10:02:22 EDT
Created attachment 100695 [details]
Output from 'lsmod' before running acpi state commands.
Comment 7 Jesse Dowell 2004-05-29 10:04:47 EDT
I trimmed my modules and processes down to a minimum (see the
attachments) and the behavior of the acpi states didn't change.
Comment 8 Christoph Sturm 2004-06-08 18:46:43 EDT
i have exactly the same problem with a acer travelmate 660. I am using
kernel 2.6.6-422. 'suspend' returns immedately while 'mem' works after
unloading ehci-hdc. after i press a key in the 'mem' state, all lights
light up for a short time and the fan spins up, but it the screen
stays blank.
Comment 9 Samuel Mathieson 2004-07-13 16:57:08 EDT
same problem many times i get a message if i run the command from the
console stating:
"/bin/echo: write error: Resource temporarily unavailable"

i have a toshiba laptop (A45-SP150, latin american market)
Comment 10 Cosmo King 2004-07-16 22:36:23 EDT
I receive the same results as in initial post here.  echo 1 >
/proc/acpi/sleep gives no results except the quick dmesg blurb... echo
3 > /proc/acpi/sleep crashes hard (even after usb removed) with the
last lines for me:
 
RIP <ffffffff8011ae1e>{do_suspend_lowlevel+222} RSP <00000100391ffe38>
 <6>APIC error on CPU0: 80(08)

I have a Mitac 855 AMD64 laptop and am using FC2 with 2.6.7-1.492

Any update yet?  I need to demo this laptop at linux world, but
suspend is important.

Thanks!!

cosmo at pogolinux . com
Comment 11 Rasmus Back 2004-07-28 05:07:43 EDT
I have a HP compaq nc8000, running echo -n 'mem' > /sys/power/state
seems put the computer to sleep and immediately wake up. After rmmod
ehci_hcd the system seems to stay in sleep mode but I suspect it's
just crashed since it doesn't wake up without a reboot. echo -n
'standby' > /sys/power/state doesn't seem to do anything.

These are the only entries in /var/log/messages:
with ehci_hcd the system wakes up directly after sleep, no crash
Jul 28 11:01:38 localhost kernel: Stopping tasks:
=========================================|
Jul 28 11:01:38 localhost kernel: Restarting tasks... done

after rmmodding ehci_hcd the system crashes
Jul 28 11:01:55 localhost kernel: Stopping tasks:
=========================================|
Jul 28 11:01:55 localhost kernel: Restarting tasks... done
Jul 28 11:06:41 localhost syslogd 1.4.1: restart.
Comment 12 Dave Jones 2005-04-16 00:48:57 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.